{ lib, pkgs, ... }: {
  boot.extraModprobeConfig = ''
    options iwlwifi disable_11ax=true
  '';
  hardware.firmware = let
    intelfirmware = (pkgs.runCommandNoCC "n100-firmware" {} ''
      mkdir -p $out/lib/firmware/intel/
      cp ${pkgs.linux-firmware}/lib/firmware/intel/ibt-1040-4150.ddc $out/lib/firmware/intel/ibt-1040-1050.ddc
      cp ${pkgs.linux-firmware}/lib/firmware/intel/ibt-1040-4150.sfi $out/lib/firmware/intel/ibt-1040-1050.sfi
      cp ${pkgs.linux-firmware}/lib/firmware/intel/ibt-1040-4150.ddc $out/lib/firmware/intel/ibt-0040-1050.ddc
      cp ${pkgs.linux-firmware}/lib/firmware/intel/ibt-1040-4150.sfi $out/lib/firmware/intel/ibt-0040-1050.sfi
    ''); #// { meta.priority = 8; };
  in lib.mkBefore [ intelfirmware ];
}
