{ lib, pkgs, ... }: {
  imports = [
    ./git.nix
    ./gnupg.nix
  ];
  home.stateVersion = "24.11";
  services.darkman = {
    enable = true;
    settings = {
      lat = 49.0800;
      lng = 8.23300;
      portal = true;
      dbusserver = true;
    };
  };

  home.preferXdgDirectories = true;
  programs.firefox = import ./firefox.nix { inherit lib; };
}
