{ pkgs, ...}: {
  services.pipewire = {
    enable = true;
    alsa.enable = true;
    alsa.support32Bit = true;
    pulse.enable = true;
  };

  services.usbmuxd.enable = true;

  environment.systemPackages = with pkgs; [
    firefox
    thunderbird
    vlc
    orca-slicer
    usbutils
    pciutils
    pinentry-qt
    wl-clipboard
    usb-modeswitch
    usb-modeswitch-data
    modemmanager
    xdg-desktop-portal
    xdg-desktop-portal-kde
    grim
    wireguard-tools
    libimobiledevice
  ];
}
